Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class TaxParty1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.TaxParty1

    public class TaxParty1
    extends java.lang.Object

Java class for TaxParty1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxParty1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TaxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="RegnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="TaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `regnId`
`protected java.lang.String` `taxId`
`protected java.lang.String` `taxTp`

### Constructor Summary

Constructors
`TaxParty1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRegnId()` Gets the value of the regnId property.
`java.lang.String` `getTaxId()` Gets the value of the taxId property.
`java.lang.String` `getTaxTp()` Gets the value of the taxTp property.
`void` `setRegnId​(java.lang.String value)` Sets the value of the regnId property.
`void` `setTaxId​(java.lang.String value)` Sets the value of the taxId property.
`void` `setTaxTp​(java.lang.String value)` Sets the value of the taxTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### taxId

    protected java.lang.String taxId

#### regnId

    protected java.lang.String regnId

#### taxTp

    protected java.lang.String taxTp

### Constructor Detail

#### TaxParty1

    public TaxParty1()

### Method Detail

#### getTaxId

    public java.lang.String getTaxId()

Gets the value of the taxId property.

Returns:
  possible object is `String`

#### setTaxId

    public void setTaxId​(java.lang.String value)

Sets the value of the taxId property.

Parameters:
  `value` - allowed object is `String`

#### getRegnId

    public java.lang.String getRegnId()

Gets the value of the regnId property.

Returns:
  possible object is `String`

#### setRegnId

    public void setRegnId​(java.lang.String value)

Sets the value of the regnId property.

Parameters:
  `value` - allowed object is `String`

#### getTaxTp

    public java.lang.String getTaxTp()

Gets the value of the taxTp property.

Returns:
  possible object is `String`

#### setTaxTp

    public void setTaxTp​(java.lang.String value)

Sets the value of the taxTp property.

Parameters:
  `value` - allowed object is `String`